/*************************************************
*           BK Emulator v3.9 for Windows         *
*************************************************/

/*
File: TapeControlDlg.h
Version: 1.0.0
Written by: Yuriy Kalmykov <kalmykov@stoik.com>
    Copyright (c) 2002-2004 Yuriy Kalmykov

    BK Emulator is a program emulated hardware environment for running
code for BK 0010(01) in different configurations.

    This code may be used in compiled form in any way you desire.
This file or it's parts can't be redistributed without the authors
written consent, but can be modified for your private needs.
    Providing that this notice and the authors name and all copyright
notices remains intact.

    Please, an email me to know how you are using it and where. You can
ask me for any information about this below code or any attendant
knowledge.

    This file is provided "as is" with no expressed or implied warranty.
The author accepts no liability for any damage or loss of business that
this product may cause.
*/


#pragma once
#include "afxcmn.h"
#include "resource.h"
#include "GFResizeDialogHelper.h"

// TapeControlDlg.h : header file
//

class CTape;

/////////////////////////////////////////////////////////////////////////////
// CTapeControlDlg dialog


class CTapeControlDlg : public CDialogEx
{
		GFResizeDialogHelper    m_Resizer;
		CTape              *m_pTape;
		void                ShowSaveDialog();
		HICON               m_iconRecordActive, m_iconRecordPassive, m_iconRecordStop;
// Construction
	public:
		CTapeControlDlg(CTape *pTape = nullptr, CWnd *pParent = nullptr);    // standard constructor

		CString             m_strTapePath;

		void                SetTape(CTape *pTape)
		{
			m_pTape = pTape;
		}
		void                PressRecordButton();

		CSize GetMinSize();
// Dialog Data
		enum { IDD = IDD_TAPE_CONTROL };
		BOOL    m_bAutoBeginDetection;
		BOOL    m_bAutoEnddetection;


// Overrides
		// ClassWizard generated virtual function overrides
	protected:
		virtual void DoDataExchange(CDataExchange *pDX) override;    // DDX/DDV support


// Implementation
	protected:
		// Generated message map functions
		virtual BOOL OnInitDialog() override;
		virtual void OnOK() override;
		virtual void OnCancel() override;
		afx_msg void OnTcRecord();
		afx_msg void OnTcStop();
		afx_msg void OnTimer(UINT_PTR nIDEvent);
		afx_msg void OnDestroy();
		afx_msg void OnSize(UINT nType, int cx, int cy);
		afx_msg void OnGetMinMaxInfo(MINMAXINFO *lpMMI);
		DECLARE_MESSAGE_MAP()
};
